SyncMLServer Class Reference
Inheritance diagram for SyncMLServer:

## Public Slots

virtual void | connectivityStateChanged (Sync::ConnectivityType type, bool state)

## Signals

void | syncFinished (Sync::SyncStatus)
void | sessionInProgress (Sync::ConnectivityType)

## Public Member Functions

| SyncMLServer (const QString &pluginName, const Buteo::Profile profile, Buteo::PluginCbInterface *cbInterface)
virtual bool | init ()
virtual bool | uninit ()
virtual void | abortSync (Sync::SyncStatus status=Sync::SYNC_ABORTED)
virtual bool | cleanUp ()
virtual Buteo::SyncResults | getSyncResults () const
virtual bool | startListen ()
virtual void | stopListen ()
virtual void | suspend ()
virtual void | resume ()

## Protected Slots

void | handleUSBConnected (int fd)
void | handleBTConnected (int fd, QString btAddr)
void | handleSyncFinished (DataSync::SyncState state)
void | handleStateChanged (DataSync::SyncState state)
void | handleStorageAccquired (QString storageType)
void | handleItemProcessed (DataSync::ModificationType modificationType, DataSync::ModifiedDatabase modifiedDb, QString localDb, QString dbType, int committedItems)

The documentation for this class was generated from the following file:

- SyncMLServer.h